using BS.Shared;

namespace BeWo.Data.Entities
{
	public class MedArt : BeWoEntityBase
	{
		public static string PropertyName_Bezeichnung = "Bezeichnung";
		public static string PropertyName_BezeichnungLang = "BezeichnungLang";

		private string _Bezeichnung;
		private string _BezeichnungLang;

		public virtual string Bezeichnung
		{
			get { return _Bezeichnung; }
			set
			{
				if (AreDifferent(_Bezeichnung, value))
					_Bezeichnung = value;
			}
		}

		public virtual string BezeichnungLang
		{
			get { return _BezeichnungLang; }
			set
			{
				if (AreDifferent(_BezeichnungLang, value))
					_BezeichnungLang = value;
			}
		}

		public MedArt()
		{
			_Tid = TableID.MedArt;
		}
	}
}
